webpack error: File to import not found or unreadable: bourbon , how to fix?

I am trying to load the Bourbon package inside my SCSS files. I am using Angular 2 and this is my webpack 3.0 config:

var path = require("path");
var webpack = require("webpack");

module.exports = {
  devServer: {
    contentBase: path.join(__dirname, "build"),
    compress: true,
    port: 9000
  },
  node: {
    fs: 'empty'
  },
  cache: true,
  devtool: "eval", //or cheap-module-eval-source-map
  entry: {
    app: path.join(__dirname, "client/app", "app.js")
  },
  output: {
    path: path.join(__dirname, "buildf"),
    filename: "ha.js",
    chunkFilename: "[name].js"
  },
  plugins: [
    //Typically you'd have plenty of other plugins here as well
    new webpack.DllReferencePlugin({
      context: path.join(__dirname, "client"),
      manifest: require("./build/vendor-manifest.json")
    }),
  ],
  module: {
    loaders: [
      {
        test: /.js?$/,
        loader: "babel-loader",
        include: [
          path.join(__dirname, "client") //important for performance!
        ],
        exclude: [
          path.join(__dirname, "node_modules")
        ],
        query: {
          cacheDirectory: true, //important for performance
          plugins: ["transform-regenerator"],
          presets: ["es2015", "stage-0"]
        }
      },

      { test: /.(scss|sass)$/, loader: ['style-loader', 'css-loader', 'sass-loader'] },
      { test: /.html$/, loader: 'raw-loader' },
      { test: /.css$/, loader: 'css-loader' }
    ]
  }
};

When I run webpack I get this error:

ERROR in ./node_modules/css-loader!./node_modules/sass-loader!./client/app/app.scss Module build failed: @import “bourbon”; ^ File to import not found or unreadable: bourbon. Parent style sheet: stdin in /Users/john/NG6-starter/client/app/app.scss (line 2, column 1) @ ./client/app/app.scss 4:14-116 @ ./client/app/app.component.js @ ./client/app/app.js @ multi (webpack)-dev-server/client?http://localhost:9000 ./client/app/app.js webpack: Failed to compile.

Why does the bourbon component cannot be found? Here is a link to the code

Answer

June 2021 Update: In version 8.0.0 the development team of sass-loader has decided to move all SASS-related options to a sassOptions object inside options:

module: {
    rules: [{
        test: /.scss$/,
        use: [{
            loader: "style-loader"
        }, {
            loader: "css-loader"
        }, {
            loader: "sass-loader",
            options: {
                sassOptions: {
                    includePaths: ["node_modules/bourbon/core"],
                }
            }
        }]
    }]
}

Pre 8.0.0:

You need to pass options.includePaths to sass-loader:

module: {
    rules: [{
        test: /.scss$/,
        use: [{
            loader: "style-loader"
        }, {
            loader: "css-loader"
        }, {
            loader: "sass-loader",
            options: {
                includePaths: ["node_modules/bourbon/core"]
            }
        }]
    }]
}